Get information requests
curl --request GET \
--url https://api.standardmetrics.io/v1/information-requests/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.standardmetrics.io/v1/information-requests/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.standardmetrics.io/v1/information-requests/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": "<string>",
"name": "<string>",
"due_date": "2023-12-25",
"period_start_date": "2023-12-25",
"period_end_date": "2023-12-25",
"status": "<string>",
"completed_count": 123,
"in_progress_count": 123,
"not_started_count": 123,
"partially_complete_count": 123,
"past_due_count": 123,
"period": "<string>",
"requested_documents": [
{
"description": "<string>",
"id": "<string>",
"name": "<string>",
"optional": true
}
],
"requested_metrics": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"optional": true
}
]
}
],
"next": "<string>",
"previous": "<string>"
}Information Requests
Get information requests
Retrieve all information requests associated with the firm. Includes company associations and submission status.
Permissions:
- User must be authenticated via OAuth.
- User must have access to the information requests.
GET
/
information-requests
/
Get information requests
Authorizations
Your valid bearer token. All Auth tokens persist for all requests. Make sure to replace Client Credential Basic tokens with Bearer tokens after retrieving your bearer token. Go to the API Reference/Setup, User Guides/Initial Setup, or API Reference/Get API Access Token page to get your token.
Query Parameters
A page number within the paginated result set.
Number of results to return per page.
An optional name of the information request to filter by.